Unit tde32r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE32R_p, DE32R_p;

function tde32r: String;

implementation

function tde32r: String;
var
IORDER,M,J,I,IERR :Integer;
P,EPS,HMIN,H,XN :Real;
BUL :Boolean;
YN :Array [0..1] of Real;
DF :Array [0..9] of Real;
Y :Array [0..9] of Real;
X :Array [0..4] of Real;
RS :Array [0..1] of Real;
RF :Array [0..1] of Real;
R :Array [0..1] of Real;
begin
Result := '';  {   }
BUL := False;
IORDER := 5;
P := 100.0;
EPS := 0.0001;
HMIN := 1.E-10;
M := 2;
H := 0.01;
XN := 0.75*3.14159265359;
YN[0] := Sqrt(2.0)/2.0;
YN[1] := -YN[0];
DE32R(FDE32R,M,IORDER,XN,YN,HMIN,EPS,P,H,DF,X,Y,BUL,RS,RF,R,IERR);
Result := Result + Format(' %20.16f %20.16f %20.16f ',
 [X[4],Y[8],Y[9]]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde32r',Result);  {     tde32r.res }
exit;
end;

end.
